org.apache.storm.generated

## Class ClusterSummary

- java.lang.Object
- - org.apache.storm.generated.ClusterSummary

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<ClusterSummary>, org.apache.storm.thrift.TBase<ClusterSummary,ClusterSummary._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.12.0)")
      public class ClusterSummary
      extends Object
      implements org.apache.storm.thrift.TBase<ClusterSummary,ClusterSummary._Fields>, Serializable, Cloneable, Comparable<ClusterSummary>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClusterSummary._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<ClusterSummary._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterSummary()`
    `ClusterSummary(ClusterSummary other)` Performs a deep copy on other.
    `ClusterSummary(List<SupervisorSummary> supervisors, List<TopologySummary> topologies, List<NimbusSummary> nimbuses)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_to_nimbuses(NimbusSummary elem)`
    `void` | `add_to_supervisors(SupervisorSummary elem)`
    `void` | `add_to_topologies(TopologySummary elem)`
    `void` | `clear()`
    `int` | `compareTo(ClusterSummary other)`
    `ClusterSummary` | `deepCopy()`
    `boolean` | `equals(ClusterSummary that)`
    `boolean` | `equals(Object that)`
    `ClusterSummary._Fields` | `fieldForId(int fieldId)`
    `Iterator<NimbusSummary>` | `get_nimbuses_iterator()`
    `int` | `get_nimbuses_size()`
    `List<NimbusSummary>` | `get_nimbuses()`
    `Iterator<SupervisorSummary>` | `get_supervisors_iterator()`
    `int` | `get_supervisors_size()`
    `List<SupervisorSummary>` | `get_supervisors()`
    `Iterator<TopologySummary>` | `get_topologies_iterator()`
    `int` | `get_topologies_size()`
    `List<TopologySummary>` | `get_topologies()`
    `Object` | `getFieldValue(ClusterSummary._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_nimbuses()` Returns true if field nimbuses is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_supervisors()` Returns true if field supervisors is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_topologies()` Returns true if field topologies is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(ClusterSummary._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_nimbuses_isSet(boolean value)`
    `void` | `set_nimbuses(List<NimbusSummary> nimbuses)`
    `void` | `set_supervisors_isSet(boolean value)`
    `void` | `set_supervisors(List<SupervisorSummary> supervisors)`
    `void` | `set_topologies_isSet(boolean value)`
    `void` | `set_topologies(List<TopologySummary> topologies)`
    `void` | `setFieldValue(ClusterSummary._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_nimbuses()`
    `void` | `unset_supervisors()`
    `void` | `unset_topologies()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ClusterSummary._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ClusterSummary

          public ClusterSummary()

    - #### ClusterSummary

          public ClusterSummary(List<SupervisorSummary> supervisors,
                                List<TopologySummary> topologies,
                                List<NimbusSummary> nimbuses)

    - #### ClusterSummary

          public ClusterSummary(ClusterSummary other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ClusterSummary deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<ClusterSummary,ClusterSummary._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<ClusterSummary,ClusterSummary._Fields>`

    - #### get_supervisors_size

          public int get_supervisors_size()

    - #### get_supervisors_iterator

          public Iterator<SupervisorSummary> get_supervisors_iterator()

    - #### add_to_supervisors

          public void add_to_supervisors(SupervisorSummary elem)

    - #### get_supervisors

          public List<SupervisorSummary> get_supervisors()

    - #### set_supervisors

          public void set_supervisors(List<SupervisorSummary> supervisors)

    - #### unset_supervisors

          public void unset_supervisors()

    - #### is_set_supervisors

          public boolean is_set_supervisors()

      Returns true if field supervisors is set (has been assigned a value) and false otherwise

    - #### set_supervisors_isSet

          public void set_supervisors_isSet(boolean value)

    - #### get_topologies_size

          public int get_topologies_size()

    - #### get_topologies_iterator

          public Iterator<TopologySummary> get_topologies_iterator()

    - #### add_to_topologies

          public void add_to_topologies(TopologySummary elem)

    - #### get_topologies

          public List<TopologySummary> get_topologies()

    - #### set_topologies

          public void set_topologies(List<TopologySummary> topologies)

    - #### unset_topologies

          public void unset_topologies()

    - #### is_set_topologies

          public boolean is_set_topologies()

      Returns true if field topologies is set (has been assigned a value) and false otherwise

    - #### set_topologies_isSet

          public void set_topologies_isSet(boolean value)

    - #### get_nimbuses_size

          public int get_nimbuses_size()

    - #### get_nimbuses_iterator

          public Iterator<NimbusSummary> get_nimbuses_iterator()

    - #### add_to_nimbuses

          public void add_to_nimbuses(NimbusSummary elem)

    - #### get_nimbuses

          public List<NimbusSummary> get_nimbuses()

    - #### set_nimbuses

          public void set_nimbuses(List<NimbusSummary> nimbuses)

    - #### unset_nimbuses

          public void unset_nimbuses()

    - #### is_set_nimbuses

          public boolean is_set_nimbuses()

      Returns true if field nimbuses is set (has been assigned a value) and false otherwise

    - #### set_nimbuses_isSet

          public void set_nimbuses_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(ClusterSummary._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<ClusterSummary,ClusterSummary._Fields>`

    - #### getFieldValue

          public Object getFieldValue(ClusterSummary._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<ClusterSummary,ClusterSummary._Fields>`

    - #### isSet

          public boolean isSet(ClusterSummary._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<ClusterSummary,ClusterSummary._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(ClusterSummary that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(ClusterSummary other)

      Specified by:
        `compareTo` in interface `Comparable<ClusterSummary>`

    - #### fieldForId

          public ClusterSummary._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<ClusterSummary,ClusterSummary._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.